Subject: Re: [PATCH 1/2 v8] powerpc: introduce macro spin_event_timeout()

From: Timur Tabi <[email-masked]>
Date: Tue, 26 May 2009 13:01:10 -0500

Jon Smirl wrote:

> Then if I don't care about the result (which I think is the common case)...
> 
> rc = spin_event_timeout(in_be32(x) & 0x14, ...);
> if (rc)
>    timeout_happened;

That's another way of doing it, but I'm already at version 9 of my patch, and I'm not inclined to make any changes that don't add any real functionality.  Every time I post a new version of this patch, someone new comes out of the woodwork to tell me that I should do it a different way.  Where were you two months ago?

-- 
Timur Tabi
Linux kernel developer at Freescale